How to Update API version of DocuSign eSignature for Salesforce in Connect

In a DocuSign Connect update, the version of SOAP API used in DocuSign eSignature for Salesforce can now be updated.  There are currently two options, 21 and 39. All new account configurations will default to version 39, but old configurations may still be set to 21.

Why is this feature important?
There are new features being released in Salesforce that are only compatible in later API versions, such as Workorders and State/Country Picklist merge field issues. This change allows new features being released in Salesforce to be compatible with the DocuSign eSignature for Salesforce integration.

How to update the API Version:
  1. Have a DocuSign Administrator click the Admin from top banner across the main DocuSign page:
  2. Select Connect under INTEGRATIONS.
  3. Click on Salesforce.
  4. Click Reconfigure Login.
 
  1. Change "Salesforce.com SOAP Web Services API Version:" from 21 to 39.
  2. Reconfigure the Salesforce username/password and click Save.
API version